using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;
using skyscraper5.Skyscraper.Scraper;
using skyscraper5.Skyscraper.Scraper.StreamAutodetection;
using skyscraper5.src.Id3;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.src.Skyscraper.Scraper.StreamAutodetection.Contestants
{
	[SkyscraperPlugin]
	internal class Id3Contestant : Contestant, Id3Handler
	{
		public Id3Contestant(int pid) : base("ID3 Tag", pid)
		{
			PacketProcessor = new PesDecoder(new Id3PesProcessor(this));
		}


		public override void DeclareWinner(SkyscraperContext skyscraperContext, int pid, ProgramContext programContext)
		{
			throw new NotImplementedException();
		}

		public override void Introduce(ProgramContext programContext)
		{
			
		}

		public override void Dispose()
		{
		}

		public void OnId3Error(Id3ErrorState state)
		{
			Score--;
		}

		public void OnId3Tag(Id3Tag tag)
		{
			Score++;
		}
	}
}
